summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-03 01:02:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-03 01:02:10 +0000
commita31d5b340f6c65c988a61979ccdb8828edef462d (patch)
treed33bd41000754e33cd2788535bc6b7a03eae45f1 /dev-python
parent3fb284ae7314a2ed9b53d039b8364621008f95d7 (diff)
downloadbaldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.tar.gz
baldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.tar.xz
baldeagleos-repo-a31d5b340f6c65c988a61979ccdb8828edef462d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto/boto-2.49.0-r5.ebuild63
-rw-r--r--dev-python/boto/files/boto-2.49.0-mock-spec.patch12
-rw-r--r--dev-python/ioflo/Manifest1
-rw-r--r--dev-python/ioflo/ioflo-2.0.2-r3.ebuild41
-rw-r--r--dev-python/pytest-salt-factories/Manifest1
-rw-r--r--dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc20-r1.ebuild77
-rw-r--r--dev-python/pytest-system-statistics/Manifest1
-rw-r--r--dev-python/pytest-system-statistics/pytest-system-statistics-1.0.2-r1.ebuild49
-rw-r--r--dev-python/pytest-tempdir/Manifest1
-rw-r--r--dev-python/pytest-tempdir/pytest-tempdir-2019.10.12-r1.ebuild18
-rw-r--r--dev-python/yamlpath/Manifest1
-rw-r--r--dev-python/yamlpath/yamlpath-3.6.8.ebuild50
12 files changed, 315 insertions, 0 deletions
diff --git a/dev-python/boto/boto-2.49.0-r5.ebuild b/dev-python/boto/boto-2.49.0-r5.ebuild
new file mode 100644
index 000000000000..d5ab955d869a
--- /dev/null
+++ b/dev-python/boto/boto-2.49.0-r5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Amazon Web Services API"
+HOMEPAGE="https://github.com/boto/boto https://pypi.org/project/boto/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+PATCHES=(
+ # taken from https://bugs.debian.org/909545
+ "${FILESDIR}"/${P}-try-to-add-SNI-support-v3.patch
+ "${FILESDIR}"/${P}-py38.patch
+ "${FILESDIR}"/${P}-py3-socket-binary.patch
+ "${FILESDIR}"/${P}-py3-httplib-strict.patch
+ "${FILESDIR}"/${P}-py3-server-port.patch
+ "${FILESDIR}"/${P}-unbundle-six.patch
+ "${FILESDIR}"/${P}-py310.patch
+ "${FILESDIR}"/${P}-mock-spec.patch
+)
+
+RDEPEND="
+ >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests nose
+
+src_prepare() {
+ # remove bundled libs.
+ rm -f "${S}"/boto/vendored/six.py || die
+ # broken, not worth fixing
+ rm tests/unit/cloudfront/test_signed_urls.py || die
+ # fix tests
+ mkdir -p "${HOME}"/.ssh || die
+ touch "${HOME}"/.ssh/known_hosts || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils-r1_python_test tests/unit
+}
diff --git a/dev-python/boto/files/boto-2.49.0-mock-spec.patch b/dev-python/boto/files/boto-2.49.0-mock-spec.patch
new file mode 100644
index 000000000000..d8c8db2f1e9f
--- /dev/null
+++ b/dev-python/boto/files/boto-2.49.0-mock-spec.patch
@@ -0,0 +1,12 @@
+diff -ur boto-2.49.0.orig/tests/unit/ec2/test_volume.py boto-2.49.0/tests/unit/ec2/test_volume.py
+--- boto-2.49.0.orig/tests/unit/ec2/test_volume.py 2022-11-02 22:22:36.173725700 -0000
++++ boto-2.49.0/tests/unit/ec2/test_volume.py 2022-11-02 22:24:26.502590025 -0000
+@@ -55,7 +55,7 @@
+ @mock.patch("boto.resultset.ResultSet")
+ def test_startElement_with_name_tagSet_calls_ResultSet(self, ResultSet, startElement):
+ startElement.return_value = None
+- result_set = mock.Mock(ResultSet([("item", Tag)]))
++ result_set = ResultSet([("item", Tag)])
+ volume = Volume()
+ volume.tags = result_set
+ retval = volume.startElement("tagSet", None, None)
diff --git a/dev-python/ioflo/Manifest b/dev-python/ioflo/Manifest
index 4422795df98b..17fd3b8dbe73 100644
--- a/dev-python/ioflo/Manifest
+++ b/dev-python/ioflo/Manifest
@@ -1 +1,2 @@
+DIST ioflo-2.0.2.gh.tar.gz 837382 BLAKE2B 1fe878c8a9a47a9be5083e392e15256f1a566433b4341e2ee234e84332bb72af0c426d04c77ccace33cfb05664745caaa63e910913c3d63bbb2e5d8360a1ec90 SHA512 7485924ce329889afb1c3e0555b54fdbfb11eafce48fb0ac15bacd229fea512c44fcc118bbc4368ebc7c770d62129ee6b895b982f73a269de7131ea37daac02b
DIST ioflo-2.0.2.tar.gz 837382 BLAKE2B 1fe878c8a9a47a9be5083e392e15256f1a566433b4341e2ee234e84332bb72af0c426d04c77ccace33cfb05664745caaa63e910913c3d63bbb2e5d8360a1ec90 SHA512 7485924ce329889afb1c3e0555b54fdbfb11eafce48fb0ac15bacd229fea512c44fcc118bbc4368ebc7c770d62129ee6b895b982f73a269de7131ea37daac02b
diff --git a/dev-python/ioflo/ioflo-2.0.2-r3.ebuild b/dev-python/ioflo/ioflo-2.0.2-r3.ebuild
new file mode 100644
index 000000000000..a7f59afea325
--- /dev/null
+++ b/dev-python/ioflo/ioflo-2.0.2-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test"
+
+RDEPEND="
+ $(python_gen_cond_dep '>=dev-lang/python-3.7.4' python3_7)
+"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
+ app-admin/salt[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/ioflo-1.7.8-network-test.patch"
+ "${FILESDIR}/ioflo-2.0.2-python39.patch"
+ "${FILESDIR}/ioflo-2.0.2-tests.patch"
+ "${FILESDIR}/ioflo-2.0.2-py310.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pytest-salt-factories/Manifest b/dev-python/pytest-salt-factories/Manifest
index a18552b8f1fb..cac5c3882756 100644
--- a/dev-python/pytest-salt-factories/Manifest
+++ b/dev-python/pytest-salt-factories/Manifest
@@ -1,3 +1,4 @@
DIST pytest-salt-factories-0.121.1.tar.gz 102121 BLAKE2B 92cd5953b11377f1646f01b86a677a50216d16bcb944235a3f04176aecbb005974c415adcbf23cc391aab41b1ee9596984516ab61ecdd8c944d4ce707c39ab00 SHA512 32252695c6e8b17ef17d3330c4b0b38bdce89201d5573b4efa3531a72e826ee1fb26fea3ad0408401dec867cee405f21031804c32eb8fe6ceaa00925b17725a1
DIST pytest-salt-factories-1.0.0_rc13.tar.gz 148418 BLAKE2B 3688f05d137df23266ebc7e999bc3b3a8ec198173b38dc98bd4a1e2655b982a37485278691e970da0be700cee6f609c57933b041a6d8403e75fb197f5d23d5d4 SHA512 f3713410704540ee48b7263973d3a9bf3159fb63e53e5ef5002201aea3fdcf0b4eaf00e1dd1e67d869b42242985d8117a117568d63abf5ad366e247fb3e1d83f
+DIST pytest-salt-factories-1.0.0_rc20.gh.tar.gz 160140 BLAKE2B 7ecd9af695626c465e5776ed218bd92f30a556394cf4af0c2b6fb87c182f8aaf2d8f998358a7eef95fae53c85a6be2d4ed5a6ff191496fcac62a97e25cf19063 SHA512 5677c6638b5dc7f90c01f2c2204e1910c2bf6ea2c10b714173d3443d4c682b5f515ad7881e2ceee66f6eaf619e399d6fa10052604fdc9c5157c58348b63c8f2b
DIST pytest-salt-factories-1.0.0_rc20.tar.gz 160140 BLAKE2B 7ecd9af695626c465e5776ed218bd92f30a556394cf4af0c2b6fb87c182f8aaf2d8f998358a7eef95fae53c85a6be2d4ed5a6ff191496fcac62a97e25cf19063 SHA512 5677c6638b5dc7f90c01f2c2204e1910c2bf6ea2c10b714173d3443d4c682b5f515ad7881e2ceee66f6eaf619e399d6fa10052604fdc9c5157c58348b63c8f2b
diff --git a/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc20-r1.ebuild b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc20-r1.ebuild
new file mode 100644
index 000000000000..6f88852e0af6
--- /dev/null
+++ b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc20-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="The new generation of the pytest-salt Plugin"
+HOMEPAGE="https://github.com/saltstack/pytest-salt-factories"
+SRC_URI="https://github.com/saltstack/${PN}/archive/${PV//_/}.tar.gz -> ${P}.gh.tar.gz"
+S=${WORKDIR}/${PN}-${PV//_/}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+ dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+ dev-python/pytest-system-statistics[${PYTHON_USEDEP}]
+ >=dev-python/pytest-shell-utilities-1.4.0[${PYTHON_USEDEP}]
+ dev-python/pyzmq[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ >=app-admin/salt-3001.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/pytest-salt-factories-1.0.0_rc20-tests.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -r -e "s:use_scm_version=True:version='${PV}', name='${PN//-/.}':" -i setup.py || die
+ sed -r -e '/(setuptools|setup_requires)/ d' -i setup.cfg || die
+
+ sed -i 's:tool.setuptools_scm:tool.disabled:' pyproject.toml || die
+ printf '__version__ = "%s"\n' "${PV}" > src/saltfactories/version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local tempdir
+
+ local -a disable_tests=(
+ testexcludetest
+ )
+ local textexpr
+ testexpr=$(printf 'not %s and ' "${disable_tests[@]}")
+
+ # ${T} is too long a path for the tests to work
+ tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)" || die
+ addwrite "${tempdir}"
+
+ (
+ cleanup() { rm -rf "${tempdir}" || die; }
+
+ trap cleanup EXIT
+ export SHELL="/bin/bash" TMPDIR="${tempdir}"
+ epytest -vv -k "${testexpr%and }"
+ )
+}
diff --git a/dev-python/pytest-system-statistics/Manifest b/dev-python/pytest-system-statistics/Manifest
index 550382e4b516..1cd15b29538a 100644
--- a/dev-python/pytest-system-statistics/Manifest
+++ b/dev-python/pytest-system-statistics/Manifest
@@ -1 +1,2 @@
+DIST pytest-system-statistics-1.0.2.gh.tar.gz 55147 BLAKE2B 9b1217102a23e723090e04652fdd727818e2404bf110e4f54289251eb92f4abb59861ba6c6fc611c843960cf0595fa5cbd636071033327d4e602606e8ab63abf SHA512 1fab5038dde504ab0d5d0f4da851c9a8260849adb38a1196c6399131d77cc24a1926e68310dd0701ed001a20a7fcfb57c5202c5ebfd6de4c85aac4be49fc7347
DIST pytest-system-statistics-1.0.2.tar.gz 55147 BLAKE2B 9b1217102a23e723090e04652fdd727818e2404bf110e4f54289251eb92f4abb59861ba6c6fc611c843960cf0595fa5cbd636071033327d4e602606e8ab63abf SHA512 1fab5038dde504ab0d5d0f4da851c9a8260849adb38a1196c6399131d77cc24a1926e68310dd0701ed001a20a7fcfb57c5202c5ebfd6de4c85aac4be49fc7347
diff --git a/dev-python/pytest-system-statistics/pytest-system-statistics-1.0.2-r1.ebuild b/dev-python/pytest-system-statistics/pytest-system-statistics-1.0.2-r1.ebuild
new file mode 100644
index 000000000000..14ca7d02d00c
--- /dev/null
+++ b/dev-python/pytest-system-statistics/pytest-system-statistics-1.0.2-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit distutils-r1
+
+DESCRIPTION="Pytest Plugin Which Reports System Usage Statistics"
+HOMEPAGE="
+ https://pypi.org/project/pytest-system-statistics/
+ https://github.com/saltstack/pytest-system-statistics
+"
+SRC_URI="https://github.com/saltstack/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
+ sed -e "/setuptools_scm/ d" -i setup.cfg || die
+ sed -e "s/tool.setuptools_scm/tool.disabled/" -i pyproject.toml || die
+
+ printf '__version__ = "${PV}"\n' > src/pytestsysstats/version.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest -k 'not proc_sys_stats'
+}
diff --git a/dev-python/pytest-tempdir/Manifest b/dev-python/pytest-tempdir/Manifest
index 9594d221c021..838f3407fcbb 100644
--- a/dev-python/pytest-tempdir/Manifest
+++ b/dev-python/pytest-tempdir/Manifest
@@ -1 +1,2 @@
+DIST pytest-tempdir-2019.10.12.gh.tar.gz 9859 BLAKE2B fe4d32d2de3d577952b90a811c38f1cfa0c16badf9115a1b70faf07f0123e29935c01bfc3c1b9c616a0eeb3e0da9f42a4415687a4862830e0edea505a99dfc04 SHA512 d6f8994423d9be90f4be20878f980ad4604475ccd4b65975cd3cad357c2d6a2a7bb8623e4ccd7441437ad72b7899d8b59ae19ca3a52c35a6c24456e44b7626de
DIST pytest-tempdir-2019.10.12.tar.gz 9859 BLAKE2B fe4d32d2de3d577952b90a811c38f1cfa0c16badf9115a1b70faf07f0123e29935c01bfc3c1b9c616a0eeb3e0da9f42a4415687a4862830e0edea505a99dfc04 SHA512 d6f8994423d9be90f4be20878f980ad4604475ccd4b65975cd3cad357c2d6a2a7bb8623e4ccd7441437ad72b7899d8b59ae19ca3a52c35a6c24456e44b7626de
diff --git a/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12-r1.ebuild b/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12-r1.ebuild
new file mode 100644
index 000000000000..ce17c99febda
--- /dev/null
+++ b/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Pytest plugin to support for a predictable and repeatable temporary directory"
+HOMEPAGE="https://github.com/saltstack/pytest-tempdir"
+SRC_URI="https://github.com/saltstack/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/yamlpath/Manifest b/dev-python/yamlpath/Manifest
index a562dc54191e..8a6d97835994 100644
--- a/dev-python/yamlpath/Manifest
+++ b/dev-python/yamlpath/Manifest
@@ -1 +1,2 @@
DIST yamlpath-3.6.7.gh.tar.gz 219770 BLAKE2B 779b94f6aff7e6430c89508145d85d2b7b5ddb4bc1070fd68d402e27b7bf596c7e68f1bfb8683791ea2572ef6d01fe5f2de4fd646be32b8ab266747371f61f36 SHA512 7313d3eaa9268d4c2acb1bc87052068498840943be503fa160833c03f372e5c6d7604572d277b70c551784fd8c9507e084f12dd651b5c4f600f69e8ee7cefb62
+DIST yamlpath-3.6.8.gh.tar.gz 220132 BLAKE2B dc2b3c54d6e09e1d273643fa52f7079c2734eda2145a9e31cda3c5f6ff20d5e423fae7228297849a78fc7539f0865fabbb4640c9520e280e58b28dab52eee89f SHA512 6e5e43e6a25cfaf4bd7618b3e84baf6ca1cf33bd2c0f6c5ce3f58c5f22e64728610f1bb462901f8b6bd8fe2ca3b5265624e72cc8958ffdd0c612dcccfef8bc7a
diff --git a/dev-python/yamlpath/yamlpath-3.6.8.ebuild b/dev-python/yamlpath/yamlpath-3.6.8.ebuild
new file mode 100644
index 000000000000..a7aed311fd58
--- /dev/null
+++ b/dev-python/yamlpath/yamlpath-3.6.8.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit distutils-r1
+
+DESCRIPTION="Command-line processors for YAML/JSON/Compatible data"
+HOMEPAGE="https://github.com/wwkimball/yamlpath https://github.com/wwkimball/yamlpath/wiki"
+SRC_URI="
+ https://github.com/wwkimball/yamlpath/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-ruby/hiera-eyaml
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ sed -e '/ruamel\.yaml/d' \
+ -e '/pytest-cov/d' \
+ -e "/find_packages/s/()/(exclude=\['tests'\])/" \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # install and optimize yamlpath/patches/aliasstyle.py
+ local sitedir=$(python_get_sitedir)
+ [[ -d ${D}${sitedir} ]] || die "${D}${sitedir}: No such directory"
+ insinto "${sitedir}/yamlpath"
+ doins -r "${S}/yamlpath/patches"
+ python_optimize "${D}${sitedir}"
+}